Skip to main content
PATCH
/
customers
/
{customer_id}
/
tasks
/
{task_id}
Update Task
curl --request PATCH \
  --url https://api.{your-broker}.slate-labs.com/customers/{customer_id}/tasks/{task_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "due_at": "2023-11-07T05:31:56Z",
  "assigned_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "due_at": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "assigned_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assigned_to_name": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by_name": "<string>"
}

Path Parameters

customer_id
string<uuid>
required
task_id
string<uuid>
required

Body

application/json
title
string | null
Required string length: 1 - 500
due_at
string<date-time> | null
assigned_to
string<uuid> | null
status
string | null

Response

Successful Response

id
string<uuid>
required
customer_id
string<uuid>
required
title
string
required
due_at
string<date-time>
required
status
string
required
completed_at
string<date-time> | null
required
cancelled_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
assigned_to
string<uuid> | null
assigned_to_name
string | null
created_by
string<uuid> | null
created_by_name
string | null